#ifndef MAPVIEWDLG_H
#define MAPVIEWDLG_H

#include <QDialog>
#include <types.h>

namespace Ui {
   class MapViewDlg;
}

class MapViewDlg : public QDialog
{
   Q_OBJECT

   public slots:
   void CloseButton();
   void ZoomLevelBox(QString);
   void MapTypeBox();

   public:
   explicit MapViewDlg(app_config*, QWidget *parent = 0);
   ~MapViewDlg();
   void ShowMap(QListCoord*);

   private:
   // Variables.
   Ui::MapViewDlg *ui;
   QPoint WindowPos;
   QListCoord LocList;
   bool ZoomLevel, MapType;
   QString maptype, zoomlevel;
   QString URL, String, apikey;
   // Functions.
   void LoadMap();
   void BuildURL();
};

#endif // MAPVIEWDLG_H
