#ifndef FILEEDITORDLG_H
#define FILEEDITORDLG_H

#include <QDialog>
#include <QFile>
#include <QByteArray>

namespace Ui {
    class FileEditorDlg;
}

class FileEditorDlg : public QDialog
{
    Q_OBJECT

public:
    explicit FileEditorDlg(QWidget *parent = 0);
    ~FileEditorDlg();
    bool InitDialog(QString, QString);

public slots:
    void accept();
    void reject();
    void save_as();
    void CursorPositionChanged();

private:
    Ui::FileEditorDlg *ui;
    QFile file;
    QString filepath, appname, string, message;
    QByteArray buffer;

};

#endif // FILEEDITORDLG_H
