#-------------------------------------------------
#
# Project created by QtCreator 2010-11-30T12:56:51
#
#-------------------------------------------------

QT += core gui webkit

TARGET = se

RC_FILE = se.rc

CONFIG += exceptions rtti

SOURCES += main.cpp\
   mainwindow.cpp \
   selectcolumnsdlg.cpp \
   aboutdlg.cpp \
   timeintervaldlg.cpp \
   configuredlg.cpp \
   fileeditordlg.cpp \
   library.cpp \
   database.cpp \
   readsfiles.cpp \
   enumsfiles.cpp \
   eventlistmodel.cpp \
   logmodel.cpp \
   eventlistviewfilter.cpp \
   operatorid.cpp \
   operatordlg.cpp \
   logviewfilter.cpp \
   speedsearchdlg.cpp \
   eventnode.cpp \
   gettextlinesdlg.cpp \
   seisandb.cpp \
   google.cpp \
   gotorowdlg.cpp \
   mainwindowlib.cpp \
   mergedlg.cpp \
   filterviewdlg.cpp \
   querybuilderdlg.cpp \
   filter.cpp \
   mapviewdlg.cpp \
   qcustomplot.cpp \
   poissondlg.cpp \
   sample_function_a.cpp \
   sample_function_b.cpp \
   setmodelindicatordlg.cpp \
   magvsmagdlg.cpp \
   seteventindicatordlg.cpp \
   eventsperyeardlg.cpp \
   timeofdaydistrdlg.cpp \
   driftofhypocentersdlg.cpp \
   completenesscheckdlg.cpp \
   gutenbergrichterdlg.cpp \
   weichertdlg.cpp

HEADERS += mainwindow.h \
   selectcolumnsdlg.h \
   fortran.h \
   aboutdlg.h \
   timeintervaldlg.h \
   configuredlg.h \
   fileeditordlg.h \
   library.h \
   database.h \
   types.h \
   readsfiles.h \
   enumsfiles.h \
   eventlistmodel.h \
   logmodel.h \
   eventlistviewfilter.h \
   operatorid.h \
   operatordlg.h \
   logviewfilter.h \
   speedsearchdlg.h \
   eventnode.h \
   gettextlinesdlg.h \
   seisandb.h \
   google.h \
   gotorowdlg.h \
   mergedlg.h \
   filterviewdlg.h \
   querybuilderdlg.h \
   filter.h \
   mapviewdlg.h \
   qcustomplot.h \
   poissondlg.h \
   sample_function_a.h \
   sample_function_b.h \
   setmodelindicatordlg.h \
   magvsmagdlg.h \
   seteventindicatordlg.h \
   eventsperyeardlg.h \
   timeofdaydistrdlg.h \
   driftofhypocentersdlg.h \
   completenesscheckdlg.h \
   gutenbergrichterdlg.h \
   weichertdlg.h

FORMS += mainwindow.ui \
   selectcolumnsdlg.ui \
   aboutdlg.ui \
   timeintervaldlg.ui \
   configuredlg.ui \
   fileeditordlg.ui \
   operatordlg.ui \
   speedsearchdlg.ui \
   gettextlinesdlg.ui \
   gotorowdlg.ui \
   mergedlg.ui \
   filterviewdlg.ui \
   querybuilderdlg.ui \
   mapviewdlg.ui \
   poissondlg.ui \
   sample_function_a.ui \
   sample_function_b.ui \
   setmodelindicatordlg.ui \
   magvsmagdlg.ui \
   seteventindicatordlg.ui \
   eventsperyeardlg.ui \
   timeofdaydistrdlg.ui \
   driftofhypocentersdlg.ui \
   completenesscheckdlg.ui \
   gutenbergrichterdlg.ui \
   weichertdlg.ui

win32 {
   QMAKE_LFLAGS += -static-libgcc
   LIBS += $$PWD/windows/seisan.a
   LIBS += $$PWD/windows/libgfortran.a
}

unix {
   LIBS += -lgfortran -lfontconfig
   LIBS += $$PWD/linux/seisan.a
}

RESOURCES += se.qrc
