#ifndef TIMEINTERVALDLG_H
#define TIMEINTERVALDLG_H

#include <QDialog>
#include <QDate>

#include "types.h"

namespace Ui {
    class TimeIntervalDlg;
}

class TimeIntervalDlg : public QDialog
{
    Q_OBJECT

public:
    explicit TimeIntervalDlg(QWidget *parent = 0);
    ~TimeIntervalDlg();
    void InitDialog(app_config*);

public slots:
    void OkButton();
    void CancelButton();

private slots:
    void currentdaterb_clicked();
    void endofmonthrb_clicked();
    void userspecrb_clicked();

private:
    QString Message;
    int EndDateType;
    app_config *config;
    Ui::TimeIntervalDlg *ui;
    QDate StartDate, EndDate;
};

#endif // TIMEINTERVALDLG_H
